## dokuwiki-plugins-extra 20241201

=== Makefile ===
# Progress Linux: dokuwiki-plugins-extra

# Copyright (C) 2024 Daniel Baumann <daniel.baumann@progress-linux.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SOFTWARE = dokuwiki-plugins-extra
VERSION := $(shell cat VERSION.txt)

PLUGINS_VERSION := current

plugins-%:
	@cd plugins/$(PLUGINS_VERSION); \
	for PLUGIN in *.mk;  \
	do \
		echo "################################################################################"; \
		echo "$${PLUGIN}: $$(echo ${@} | cut -d- -f2-)"; \
		echo "################################################################################"; \
		$(MAKE) -f $${PLUGIN} $$(echo ${@} | cut -d- -f2-); \
	done

package-test:

package-build: share/man/*.rst
	$(MAKE) -C share/man

	sed -n '/^===/,$$p' share/man/$(SOFTWARE).7.rst > README.txt

package-install: package-build
	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -r CHANGELOG.txt LICENSE.txt README.txt share/doc/* $(DESTDIR)/usr/share/doc/$(SOFTWARE)

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

package-uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

package-clean:
	$(MAKE) -C share/man clean

	rm -f README.txt

all: build

test: plugins-test package-test

build: plugins-build package-build

install: plugins-install package-install

uninstall: plugins-uninstall package-uninstall

clean: plugins-clean package-clean

distclean: clean
	rm -rf $(SOFTWARE)-$(VERSION)

reinstall: uninstall install

release: distclean
	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true

	mkdir -p $(SOFTWARE)-$(VERSION)
	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(SOFTWARE)-$(VERSION) -exec cp \-a {} $(SOFTWARE)-$(VERSION) \;

	for FORMAT in xz lzip; \
	do \
		PLUGIN=$$(echo $${FORMAT} | cut -b-2); \
		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN} $(SOFTWARE)-$(VERSION); \
		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN} > ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}.sha512; \
		gpg --default-key 0x3E6CA28DAAF8DD14 --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}; \
		mv ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}.asc ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}.sig; \
	done

	rm -rf $(SOFTWARE)-$(VERSION)

upload:
	scp ../$(SOFTWARE)-$(VERSION).* get.progress-linux.org:/srv/get.progress-linux.org/packages/$(SOFTWARE)/upstream

=== share/man/Makefile ===
# Progress Linux: dokuwiki-plugins-extra

# Copyright (C) 2024 Daniel Baumann <daniel.baumann@progress-linux.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Depends: python3-docutils

RST2MAN = rst2man \
	--no-datestamp \
	--no-generator \
	--strict \
	--strip-comments \
	--tab-width=4 \
	--verbose

VERSION := $(shell cat ../../VERSION.txt)

SHELL := sh -e

all: build

build: man

rebuild: clean build

man: man.in *.rst
	@echo -n "Creating manpages... "

	@for FILE in *.rst; \
	do \
		cp man.in $$(basename $${FILE} .rst); \
		$(RST2MAN) $${FILE} | \
		sed	-e '/^.\\" Man page generated/d' \
			-e '/^.\\" Generated by/d' \
			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} dokuwiki-plugins-extra |" \
		>> $$(basename $${FILE} .rst); \
		echo -n "."; \
	done

	@echo " done."

clean:
	rm -f *.[0-9]

.PHONY: all clean build rebuild man

=== debian/changelog ===
dokuwiki-plugins-extra (20241201-6) sid; urgency=medium

  * Adding watch file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2025 09:31:03 +0200

dokuwiki-plugins-extra (20241201-5) sid; urgency=medium

  * Adding initial Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #1101907).
  * Adding initial Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1101949).
  * Adding initial Portuguese debconf translations from Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #1102088).

 -- Daniel Baumann <daniel@debian.org>  Wed, 09 Apr 2025 16:05:40 +0200

dokuwiki-plugins-extra (20241201-4) sid; urgency=medium

  * Adding German debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #1101039).

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Mar 2025 10:32:47 +0100

dokuwiki-plugins-extra (20241201-3) sid; urgency=medium

  * Updating po template.
  * Adding initial Brazilian Portuguese debconf translation from Pablo
    Lucas Silva Santos <pablolucas890@gmail.com> (Closes: #1100951).

 -- Daniel Baumann <daniel@debian.org>  Fri, 21 Mar 2025 01:09:48 +0100

dokuwiki-plugins-extra (20241201-2) sid; urgency=medium

  * Correcting copyright to reflect overall license is GPL-3+, thanks to
    Thorsten Alteholz <alteholz@debian.org>.
  * Using codename instead of suitname in changelog.
  * Adding vcs fields.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Mar 2025 07:51:25 +0100

dokuwiki-plugins-extra (20241201-1) sid; urgency=low

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Dec 2024 21:17:55 +0100

=== debian/control ===
Source: dokuwiki-plugins-extra
Section: web
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 python3-docutils,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://forgejo.debian.net/dokuwiki/dokuwiki-plugins-extra
Vcs-Git: https://forgejo.debian.net/dokuwiki/dokuwiki-plugins-extra

Package: dokuwiki-plugins-extra
Section: web
Architecture: all
Depends:
 dokuwiki (>= ${dokuwiki:Depends:low}~),
 dokuwiki (<< ${dokuwiki:Depends:high}~),
 ${misc:Depends},
Recommends:
 php-mbstring,
Enhances:
 dokuwiki,
Provides:
 dokuwiki-plugin-addnewpage (= 2024-11-16),
 dokuwiki-plugin-color (= 2022-10-19),
 dokuwiki-plugin-mathjax (= 20211120),
 dokuwiki-plugin-wrap (= 2023-08-13),
Description: Conglomeration package of DokuWiki plugins
 The dokuwiki-plugins-extra contains the following plugins for
 DokuWiki:
 .
   * addnewpage:
     Put 'add new page' forms within pages, with optional namespace selection
 .
   * color:
     Opportunity to write colored text in DokuWiki
 .
   * mathjax:
     Enables MathJax parsing of TeX math expressions in wiki pages
 .
   * wrap:
     Universal plugin which combines the functionality of many other plugins

=== debian/rules ===
#!/usr/bin/make -f

PLUGINS_VERSION = 55

DOKUWIKI_DEPENDS_LOW = 2024-02-06
DOKUWIKI_DEPENDS_HIGH = 2026

%:
	dh ${@}

execute_after_dh_auto_clean:
	rm -f plugins/current

execute_before_dh_auto_build:
	ln -s $(PLUGINS_VERSION) plugins/current

execute_after_dh_auto_install:
	# removing unused files
	rm -f debian/dokuwiki-plugins-extra/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/dokuwiki-plugins-extra/usr/share/doc/*/LICENSE.txt

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vdokuwiki:Depends:low="$(DOKUWIKI_DEPENDS_LOW)" \
		-Vdokuwiki:Depends:high="$(DOKUWIKI_DEPENDS_HIGH)"

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://apt.progress-linux.org/archive/upstream/dokuwiki-plugins-extra/dokuwiki-plugins-extra-(.+)\.tar\.lz

## dokuwiki-plugins-extra 20251207

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# Progress Linux: dokuwiki-plugins-extra
+# Debian: dokuwiki-plugins-extra
 
-# Copyright (C) 2024 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2024-2025 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -103,11 +103,11 @@
 		PLUGIN=$$(echo $${FORMAT} | cut -b-2); \
 		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN} $(SOFTWARE)-$(VERSION); \
 		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN} > ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}.sha512; \
-		gpg --default-key 0x3E6CA28DAAF8DD14 --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}; \
+		gpg --default-key 0xFBB4F0E80A80222F --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}; \
 		mv ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}.asc ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}.sig; \
 	done
 
 	rm -rf $(SOFTWARE)-$(VERSION)
 
 upload:
-	scp ../$(SOFTWARE)-$(VERSION).* get.progress-linux.org:/srv/get.progress-linux.org/packages/$(SOFTWARE)/upstream
+	scp ../$(SOFTWARE)-$(VERSION).* apt.fastforward.deb822.org:/srv/apt.fastforward.deb822.org/archive/upstream/$(SOFTWARE)

=== share/man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# Progress Linux: dokuwiki-plugins-extra
+# Debian: dokuwiki-plugins-extra
 
-# Copyright (C) 2024 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2024-2025 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #

=== debian/changelog ===
dokuwiki-plugins-extra (20251207-3) sid; urgency=medium

  * Wrap and sorting debian files.
  * Updating URL in watch file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Feb 2026 16:21:27 +0100

dokuwiki-plugins-extra (20251207-2) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Adding initial Catalan debconf translations from poc senderi
    <pocsenderi@protonmail.com> (Closes: #1123637).

 -- Daniel Baumann <daniel@debian.org>  Tue, 30 Dec 2025 09:45:02 +0100

dokuwiki-plugins-extra (20251207-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Updating to standards version 4.7.2.
  * Merging upstream version 20251207.
  * Updating control for upstream version 20251207.
  * Updating copyright for upstream version 20251207.
  * Updating rules for upstream version 20251207.
  * Updating watch file to version 5.
  * Adding upstream sigining-key.

 -- Daniel Baumann <daniel@debian.org>  Sun, 07 Dec 2025 14:54:51 +0100

=== debian/control ===
Source: dokuwiki-plugins-extra
Section: web
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 python3-docutils,
Standards-Version: 4.7.3
Vcs-Browser: https://forgejo.debian.net/dokuwiki/dokuwiki-plugins-extra
Vcs-Git: https://forgejo.debian.net/dokuwiki/dokuwiki-plugins-extra

Package: dokuwiki-plugins-extra
Section: web
Architecture: all
Depends:
 dokuwiki (<< ${dokuwiki:Depends:high}~),
 dokuwiki (>= ${dokuwiki:Depends:low}~),
 ${misc:Depends},
Recommends:
# dokuwiki-plugin-dw2pdf
 fonts-dejavu,
# dokuwiki-plugin-dw2pdf, dokuwiki-plugin-wrap
 php-mbstring,
Enhances:
 dokuwiki,
Provides:
 dokuwiki-plugin-addnewpage (= 2025-09-21),
 dokuwiki-plugin-color (= 2022-10-19),
 dokuwiki-plugin-dw2pdf (= 2023-11-25),
 dokuwiki-plugin-edittable (= 2023-01-14),
 dokuwiki-plugin-gitbacked (= 2025-11-11),
 dokuwiki-plugin-indexmenu (= 2024-01-05+20251118),
 dokuwiki-plugin-mathjax (= 20211120),
 dokuwiki-plugin-sortablejs (= 2023-04-20),
 dokuwiki-plugin-wrap (= 2023-08-13+20240229),
Description: Conglomeration package of DokuWiki plugins
 The dokuwiki-plugins-extra contains the following plugins for
 DokuWiki:
 .
   * addnewpage:
     Put 'add new page' forms within pages, with optional namespace selection
 .
   * color:
     Opportunity to write colored text in DokuWiki
 .
   * dw2pdf:
     Export DokuWiki content to PDF
 .
   * edittable:
     Provides a visual table editing and inserting interface
 .
   * gitbacked:
     Sync/store DokuWiki pages and media in a git repository
 .
   * indexmenu:
     Show a customizable and sortable index for a namespace
 .
   * mathjax:
     Enables MathJax parsing of TeX math expressions in wiki pages
 .
   * sortablejs:
     JavaScript for sortable tables
 .
   * wrap:
     Universal plugin which combines the functionality of many other plugins

=== debian/watch ===
Version: 5

Source: https://archive.fastforward.debian.net/archive/upstream/dokuwiki-plugins-extra
